; #########################################################################

;     include files
;     ~~~~~~~~~~~~~
      include \MASM32\INCLUDE\windows.inc
      include \MASM32\INCLUDE\masm32.inc
      include \MASM32\INCLUDE\gdi32.inc
      include \MASM32\INCLUDE\user32.inc
      include \MASM32\INCLUDE\kernel32.inc
      include \MASM32\INCLUDE\Comctl32.inc
      include \MASM32\INCLUDE\comdlg32.inc
      include \MASM32\INCLUDE\shell32.inc

;     libraries
;     ~~~~~~~~~
      includelib \MASM32\LIB\masm32.lib

      includelib \MASM32\LIB\gdi32.lib
      includelib \MASM32\LIB\user32.lib
      includelib \MASM32\LIB\kernel32.lib
      includelib \MASM32\LIB\Comctl32.lib
      includelib \MASM32\LIB\comdlg32.lib
      includelib \MASM32\LIB\shell32.lib

; #########################################################################

        ;=================
        ; Local prototypes
        ;=================
        WinMain PROTO :DWORD,:DWORD,:DWORD,:DWORD
        WndProc PROTO :DWORD,:DWORD,:DWORD,:DWORD
        TopXY PROTO   :DWORD,:DWORD
        FillBuffer   PROTO :DWORD,:DWORD,:BYTE
        Paint_Proc   PROTO :DWORD,:DWORD

        wsprintfA PROTO C :DWORD,:VARARG
        wsprintf equ <wsprintfA>

      ;=============
      ; Local macros
      ;=============

      szText MACRO Name, Text:VARARG
        LOCAL lbl
          jmp lbl
            Name db Text,0
          lbl:
        ENDM

      m2m MACRO M1, M2
        push M2
        pop  M1
      ENDM

      return MACRO arg
        mov eax, arg
        ret
      ENDM

    .data
        szDisplayName db "MASM32 Prostart Template",0
        CommandLine   dd 0
        hWnd          dd 0
        hInstance     dd 0
        hIcon         dd 0
        
        hAgent dd 0
        hVoice dd 0

; ########################### Inserted modules ############################

    include toolbar.asm

    include \masm32\include\ole32.inc            ; Interfacing COM
    include \masm32\com\include\oaidl.inc        ; Used for Coinvoke and others
    include \masm32\include\oleaut32.inc         ; Used for SysAllocString and Varient
    include \masm32\include\bstrlib.inc          ; BSTR functions
    include \masm32\include\L.inc                ; BSTR functions

    includelib \masm32\lib\ole32.lib             ; Interfacing COM 
    includelib \masm32\lib\oleaut32.lib          ; COM tools lib    
    includelib \masm32\lib\bstrlib.lib           ; The BSTR lib

    include Objects.inc
    include MSAgent.asm                          ; Will include COM itself.
    include CVoice.asm
    
    

; #########################################################################
